apiVersion: tekton.dev/v1beta1
kind: PipelineRun
metadata:
  generateName: list-pipelinerun-
spec:
  params:
    - name: url
      value: https://www.github.com/tektoncd/catalog.git
  serviceAccountName: pipeline
  pipelineRef:
    name: list-pipeline
  podTemplate:
    securityContext:
      fsGroup: 65532 
  taskRunSpecs:
  - pipelineTaskName: git-clone
    taskServiceAccountName: pipeline
    taskPodTemplate:
      securityContext:
        runAsNonRoot: true
        runAsUser: 65532
  - pipelineTaskName: list-task
    taskServiceAccountName: pipeline
    taskPodTemplate:
      securityContext:
        runAsNonRoot: false
        runAsUser: 0
  - pipelineTaskName: list-task-e9l
    taskServiceAccountName: pipeline
    taskPodTemplate:
      securityContext:
        runAsNonRoot: false
        runAsUser: 0
  workspaces:
  - name: test-workspace
    volumeClaimTemplate:
        spec:
          accessModes:
            - ReadWriteOnce
          resources:
            requests:
              storage: 200Mi

